# Interface ModeChangeEvent

状态变更事件

interface ModeChangeEvent {
defaultPrevented: boolean;
mode: Mode;
prevMode: Mode;
state: State;
timeStamp: number;
type: string;
userAction: boolean;
preventDefault(): void;
}

#### Hierarchy (View Summary)

- StateEvent
  - ModeChangeEvent

- Defined in lib/five/utils/event.ts:216

##### Index

### Properties

defaultPrevented
mode
prevMode
state
timeStamp
type
userAction

### Methods

preventDefault

## Properties

### `Readonly` defaultPrevented

defaultPrevented: boolean

是否已调用过 preventDefault

Inherited from StateEvent.defaultPrevented

- Defined in lib/five/utils/event.ts:23

### mode

mode: Mode

- Defined in lib/five/utils/event.ts:218

### prevMode

prevMode: Mode

- Defined in lib/five/utils/event.ts:217

### state

state: State

当前的 Five 状态

Inherited from StateEvent.state

- Defined in lib/five/utils/event.ts:43

### timeStamp

timeStamp: number

事件触发时的时间戳

Inherited from StateEvent.timeStamp

- Defined in lib/five/utils/event.ts:19

### type

type: string

事件类型名称

Inherited from StateEvent.type

- Defined in lib/five/utils/event.ts:17

### userAction

userAction: boolean

是否由用户交互触发

Inherited from StateEvent.userAction

- Defined in lib/five/utils/event.ts:45

## Methods

### preventDefault

- preventDefault(): void

  阻止事件的默认行为

  #### Returns void

  Inherited from StateEvent.preventDefault

  - Defined in lib/five/utils/event.ts:21